#
# spec file for package xorg-x11-fonts
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xorg-x11-fonts
BuildRequires:  bdftopcf
%if 0%{?suse_version} > 01220
BuildRequires:  fontpackages-devel
%endif
BuildRequires:  mkfontdir
BuildRequires:  mkfontscale
# ucs2any
BuildRequires:  font-util
BuildRequires:  pkgconfig
Url:            http://xorg.freedesktop.org/
Version:        7.6
Release:        34.16
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         fonts-config
Requires:       %{name}-core
Provides:       xorg-x11-fonts-100dpi
Provides:       xorg-x11-fonts-75dpi
Provides:       xorg-x11-fonts-cyrillic
Provides:       xorg-x11-fonts-scalable
Provides:       xorg-x11-fonts-syriac
Obsoletes:      xorg-x11-fonts-100dpi
Obsoletes:      xorg-x11-fonts-75dpi
Obsoletes:      xorg-x11-fonts-cyrillic
Obsoletes:      xorg-x11-fonts-scalable
Obsoletes:      xorg-x11-fonts-syriac
Summary:        X.Org fonts
License:        MIT
Group:          System/X11/Fonts
Source0:        http://xorg.freedesktop.org/archive/individual/font/font-adobe-100dpi-1.0.3.tar.bz2
Source1:        http://xorg.freedesktop.org/archive/individual/font/font-adobe-75dpi-1.0.3.tar.bz2
Source2:        http://xorg.freedesktop.org/archive/individual/font/font-arabic-misc-1.0.3.tar.bz2
Source3:        http://xorg.freedesktop.org/archive/individual/font/font-bh-100dpi-1.0.3.tar.bz2
Source4:        http://xorg.freedesktop.org/archive/individual/font/font-bh-75dpi-1.0.3.tar.bz2
Source5:        http://xorg.freedesktop.org/archive/individual/font/font-bh-lucidatypewriter-100dpi-1.0.3.tar.bz2
Source6:        http://xorg.freedesktop.org/archive/individual/font/font-bh-lucidatypewriter-75dpi-1.0.3.tar.bz2
Source7:        http://xorg.freedesktop.org/archive/individual/font/font-bh-ttf-1.0.3.tar.bz2
Source8:        http://xorg.freedesktop.org/archive/individual/font/font-bh-type1-1.0.3.tar.bz2
Source9:        http://xorg.freedesktop.org/archive/individual/font/font-bitstream-100dpi-1.0.3.tar.bz2
Source10:       http://xorg.freedesktop.org/archive/individual/font/font-bitstream-75dpi-1.0.3.tar.bz2
Source11:       http://xorg.freedesktop.org/archive/individual/font/font-bitstream-speedo-1.0.2.tar.bz2
Source12:       http://xorg.freedesktop.org/archive/individual/font/font-bitstream-type1-1.0.3.tar.bz2
Source13:       http://xorg.freedesktop.org/archive/individual/font/font-cronyx-cyrillic-1.0.3.tar.bz2
Source14:       http://xorg.freedesktop.org/archive/individual/font/font-cursor-misc-1.0.3.tar.bz2
Source15:       http://xorg.freedesktop.org/archive/individual/font/font-daewoo-misc-1.0.3.tar.bz2
Source16:       http://xorg.freedesktop.org/archive/individual/font/font-dec-misc-1.0.3.tar.bz2
Source17:       http://xorg.freedesktop.org/archive/individual/font/font-ibm-type1-1.0.3.tar.bz2
Source18:       http://xorg.freedesktop.org/archive/individual/font/font-isas-misc-1.0.3.tar.bz2
Source19:       http://xorg.freedesktop.org/archive/individual/font/font-jis-misc-1.0.3.tar.bz2
Source20:       http://xorg.freedesktop.org/archive/individual/font/font-micro-misc-1.0.3.tar.bz2
Source21:       http://xorg.freedesktop.org/archive/individual/font/font-misc-cyrillic-1.0.3.tar.bz2
Source22:       http://xorg.freedesktop.org/archive/individual/font/font-misc-ethiopic-1.0.3.tar.bz2
Source23:       http://xorg.freedesktop.org/archive/individual/font/font-misc-meltho-1.0.3.tar.bz2
Source24:       http://xorg.freedesktop.org/archive/individual/font/font-misc-misc-1.1.2.tar.bz2
Source25:       http://xorg.freedesktop.org/archive/individual/font/font-mutt-misc-1.0.3.tar.bz2
Source26:       http://xorg.freedesktop.org/archive/individual/font/font-schumacher-misc-1.1.2.tar.bz2
Source27:       http://xorg.freedesktop.org/archive/individual/font/font-screen-cyrillic-1.0.4.tar.bz2
Source28:       http://xorg.freedesktop.org/archive/individual/font/font-sony-misc-1.0.3.tar.bz2
Source29:       http://xorg.freedesktop.org/archive/individual/font/font-sun-misc-1.0.3.tar.bz2
Source30:       http://xorg.freedesktop.org/archive/individual/font/font-winitzki-cyrillic-1.0.3.tar.bz2
Source31:       http://xorg.freedesktop.org/archive/individual/font/font-xfree86-type1-1.0.4.tar.bz2
Source32:       http://xorg.freedesktop.org/archive/individual/font/encodings-1.0.4.tar.bz2
Source33:       http://xorg.freedesktop.org/archive/individual/font/font-adobe-utopia-100dpi-1.0.4.tar.bz2
Source34:       http://xorg.freedesktop.org/archive/individual/font/font-adobe-utopia-75dpi-1.0.4.tar.bz2
Source35:       http://xorg.freedesktop.org/archive/individual/font/font-adobe-utopia-type1-1.0.4.tar.bz2
Source36:       http://xorg.freedesktop.org/archive/individual/font/font-alias-1.0.3.tar.bz2

%description
This package contains fonts maintained and shipped with X.Org.



%package core
Summary:        Core Fonts for X.Org
Group:          System/X11/Fonts
PreReq:         fonts-config
Provides:       xorg-x11:/usr/X11R6/%{_lib}/X11/fonts/misc/cursor.pcf.gz

%description core 
This package contains the 'fixed' and 'cursor' font required for any X
Server.



%prep
%setup -n . -T -D
rm -rf $RPM_BUILD_DIR/*
for i in $RPM_SOURCE_DIR/*.tar.bz2; do tar xjf $i; done

%build
for dir in encodings-* $(ls | grep -v -e encodings -e alias) font-alias-* ; do
  pushd $dir
    case $dir in
     *alias-*)     option="--with-fontrootdir=/usr/share/fonts"            ;;
     *encodings-*) option="--with-encodingsdir=/usr/share/fonts/encodings" ;;
     *100dpi-*)    option="--with-fontdir=/usr/share/fonts/100dpi"         ;;
     *75dpi-*)     option="--with-fontdir=/usr/share/fonts/75dpi"          ;;
     *type1-*)     option="--with-fontdir=/usr/share/fonts/Type1"          ;;
     *ethiopic-*)  option="--with-ttf-fontdir= --with-otf-fontdir=/usr/share/fonts/truetype" ;;
     *meltho-*)    option="--with-fontdir=/usr/share/fonts/truetype"       ;;
     *misc-*)      option="--with-fontdir=/usr/share/fonts/misc"           ;;
     *ttf-*)       option="--with-fontdir=/usr/share/fonts/truetype"       ;;
     *speedo-*)    option="--with-fontdir=/usr/share/fonts/Speedo"         ;;
     *cyrillic-*)  option="--with-fontdir=/usr/share/fonts/cyrillic"       ;;
     *)            option=""                                               ;;
    esac
    #autoreconf -fi
    ./configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
                --prefix=/usr --libdir=%{_libdir} \
                --mandir=%{_mandir} ${option}
  popd
done

%install
for dir in encodings-* $(ls | grep -v -e encodings -e alias) font-alias-* ; do
    case $dir in
	*misc-cyrillic-*) option='FONT_FILES=koi12x24b koi12x24 koi6x13b koi7x14b koi8x16b koi8x16 koi9x15b koi9x18b';;
	*)                option='NOOPT=' ;;
    esac
    make -C $dir install DESTDIR=$RPM_BUILD_ROOT "${option}"
done
rm -f $RPM_BUILD_ROOT/usr/share/fonts/*/fonts.cache*
rm -f $RPM_BUILD_ROOT/usr/share/fonts/75dpi/fonts.{dir,scale}
pushd $RPM_BUILD_ROOT
find usr/share/fonts/75dpi -type f | sed 's+^usr+/usr+g' | \
  grep -v -e ISO8859 -e fonts.alias >> $RPM_BUILD_DIR/files.%{name}-core
popd
rm -rf $RPM_BUILD_ROOT/usr/etc

%clean
rm -rf "$RPM_BUILD_ROOT"

%if 0%{?suse_version} > 01220
%reconfigure_fonts_scriptlets

%reconfigure_fonts_scriptlets -n xorg-x11-fonts-core
%else
%post
%run_suseconfig_fonts

%postun
%run_suseconfig_fonts

%post core
%run_suseconfig_fonts

%postun core
%run_suseconfig_fonts
%endif

%files 
%defattr(-,root,root)
%dir /usr/share/fonts/100dpi
%dir /usr/share/fonts/Speedo
%dir /usr/share/fonts/Type1
%dir /usr/share/fonts/cyrillic
%dir /usr/share/fonts/truetype
%config %verify(not md5 size mtime) /usr/share/fonts/100dpi/fonts.dir
/usr/share/fonts/100dpi/fonts.alias
/usr/share/fonts/100dpi/*.pcf.gz
/usr/share/fonts/75dpi/fonts.alias
/usr/share/fonts/75dpi/*-ISO8859-*.pcf.gz
%config %verify(not md5 size mtime) /usr/share/fonts/Speedo/fonts.dir
%config %verify(not md5 size mtime) /usr/share/fonts/Speedo/fonts.scale
/usr/share/fonts/Speedo/*.spd
%config %verify(not md5 size mtime) /usr/share/fonts/Type1/fonts.dir
%config %verify(not md5 size mtime) /usr/share/fonts/Type1/fonts.scale
/usr/share/fonts/Type1/*.afm
/usr/share/fonts/Type1/*.pfa
/usr/share/fonts/Type1/*.pfb
%config %verify(not md5 size mtime) /usr/share/fonts/cyrillic/fonts.dir
/usr/share/fonts/cyrillic/fonts.alias
/usr/share/fonts/cyrillic/*.pcf.gz
%config %verify(not md5 size mtime) /usr/share/fonts/truetype/fonts.dir
%config %verify(not md5 size mtime) /usr/share/fonts/truetype/fonts.scale
/usr/share/fonts/truetype/*.otf
/usr/share/fonts/truetype/*.ttf

%files core -f files.%{name}-core
%defattr(-,root,root)
%dir /usr/share/fonts/misc
%dir /usr/share/fonts/75dpi
%dir /usr/share/fonts/encodings
%dir /usr/share/fonts/encodings/large
%config %verify(not md5 size mtime) /usr/share/fonts/encodings/encodings.dir
/usr/share/fonts/encodings/*.enc.gz
%config %verify(not md5 size mtime) /usr/share/fonts/encodings/large/encodings.dir
/usr/share/fonts/encodings/large/*.enc.gz
%config %verify(not md5 size mtime) /usr/share/fonts/misc/fonts.dir
/usr/share/fonts/misc/fonts.alias
/usr/share/fonts/misc/*.pcf.gz
%exclude /fonts.dir 
%exclude /fonts.scale

%changelog
* Wed Jun 11 2014 sndirsch@suse.com
- mark .dir/.scale files as '%%verify(not md5 size mtime)';
  triggered by Machinery's output
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Aug  8 2012 sndirsch@suse.com
- fixed build for openSUSE <= 12.1
* Mon Aug  6 2012 pgajdos@suse.com
- prepare spec file for dropping SuSEconfig.fonts (openFATE#313536)
* Tue Jun 26 2012 sndirsch@suse.com
- use proper Buildrequires
  * xorg-x11 --> mkfontscale,mkfontdir,bdftopcf
  * xorg-x11-fonts-devel --> font-util
* Wed Sep 21 2011 coolo@suse.com
- simplify buildrequires
* Tue May 24 2011 eich@suse.de
- Removed encodings.diff.
  This patch was there to make the japanese encoding
  jisx0201.1976-0 ASCII-like. The correnct encoding had
  two ASCII code points replaced by the Yen sign and
  the overstrike character. This patch seems to have
  served as a workaround for an already quite ugly
  workaround.
  We drop it now.
* Thu May 19 2011 eich@novell.com
- Remove patch font-misc-cyrillic.diff
  Instead specify the fonts to be built and installed explicitely
  on the command line with "FONT_FILES=<list>".
* Thu May 19 2011 eich@suse.de
- Remove patch font-misc-ethiopic.diff
  To install only OTF fonts set --with-ttf-fontdir= to an
  empty string.
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Tue Nov 16 2010 sndirsch@novell.com
- font-arabic-misc-1.0.3,
  font-bh-100dpi-1.0.3,
  font-bh-75dpi-1.0.3,
  font-bh-lucidatypewriter-100dpi-1.0.3,
  font-bh-lucidatypewriter-75dpi-1.0.3,
  font-bh-type1-1.0.3,
  font-bitstream-100dpi-1.0.3,
  font-bitstream-75dpi-1.0.3,
  font-bitstream-speedo-1.0.2,
  font-bitstream-type1-1.0.3,
  font-cronyx-cyrillic-1.0.3,
  font-cursor-misc-1.0.3,
  font-daewoo-misc-1.0.3,
  font-dec-misc-1.0.3,
  font-ibm-type1-1.0.3,
  font-isas-misc-1.0.3,
  font-jis-misc-1.0.3,
  font-micro-misc-1.0.3,
  font-misc-cyrillic-1.0.3,
  font-misc-ethiopic-1.0.3,
  font-misc-meltho-1.0.3,
  font-misc-misc-1.1.2,
  font-mutt-misc-1.0.3,
  font-schumacher-misc-1.1.2,
  font-screen-cyrillic-1.0.4,
  font-sony-misc-1.0.3,
  font-sun-misc-1.0.3,
  font-winitzki-cyrillic-1.0.3,
  font-xfree86-type1-1.0.4
  * CVS tags purges by Jesse Adkins
  * font-util macro bump to 1.2 by Gaétan Nadon
* Mon Nov 15 2010 sndirsch@novell.com
- font-adobe-100dpi-1.0.3,
  font-adobe-75dpi-1.0.3,
  font-adobe-utopia-100dpi-1.0.4,
  font-adobe-utopia-75dpi-1.0.4,
  font-adobe-utopia-type1-1.0.4
  * CVS tags purges by Jesse Adkins
  * font-util macro bump to 1.2 by Gaétan Nadon
* Thu Nov 11 2010 sndirsch@novell.com
- font-bh-ttf 1.0.3
  * This bug-fix release fixes the installation path of the
    fontconfig 42-luxi-mono.conf files introduced in 1.0.2, plus
    adds support for finding the correct fontconfig path from the
    fontconfig.pc file variables added recently in fontconfig git.
* Sat Oct 30 2010 sndirsch@novell.com
- encodings 1.0.4
  * This minor maintenance release is built with the latest X.Org
    autotools macros and provides the usual recent collection of
    build configuration improvements and janitorial cleanups.
* Tue Oct  5 2010 sndirsch@novell.com
- all font modules (besides font-bitstream-speedo) updated to use
  the new font-utils 1.1.2
- font-bh-ttf 1.0.2:
  * Install a fontconfig snippet to force treating Luxi Mono fonts
    as monospaced
- font-mutt-misc 1.0.2:
  * ClearlyU: fix off-by-one error in U+FFE1 through U+FFE6 range
    (full-width currency characters)
- font-sun-misc 1.0.2:
  * Update Sun license notices to current X.Org standard form
    and Oracle as copyright holder
* Sun Sep  5 2010 sndirsch@novell.com
- font-bitstream-speedo 1.0.1
* Wed Apr  7 2010 sndirsch@suse.de
- unfuzzed font-misc-cyrillic.diff
* Sun Apr  4 2010 sndirsch@suse.de
- encodings 1.0.3
- font-adobe-100dpi 1.0.1
- font-adobe-75dpi 1.0.1
- font-adobe-utopia-100dpi 1.0.2
- font-adobe-utopia-75dpi 1.0.2
- font-adobe-utopia-type1 1.0.2
- font-alias 1.0.2
- font-arabic-misc 1.0.1
- font-bh-100dpi 1.0.1
- font-bh-75dpi 1.0.1
- font-bh-lucidatypewriter-100dpi 1.0.1
- font-bh-lucidatypewriter-75dpi 1.0.1
- font-bh-ttf 1.0.1
- font-bh-type1 1.0.1
- font-bitstream-100dpi 1.0.1
- font-bitstream-75dpi 1.0.1
- font-bitstream-type1 1.0.1
- font-cronyx-cyrillic 1.0.1
- font-cursor-misc 1.0.1
- font-daewoo-misc 1.0.1
- font-dec-misc 1.0.1
- font-ibm-type1 1.0.1
- font-isas-misc 1.0.1
- font-jis-misc 1.0.1
- font-micro-misc 1.0.1
- font-misc-cyrillic 1.0.1
- font-misc-ethiopic 1.0.1
- font-misc-meltho 1.0.1
- font-misc-misc 1.1.0
- font-mutt-misc 1.0.1
- font-schumacher-misc 1.1.0
- font-screen-cyrillic 1.0.2
- font-sony-misc 1.0.1
- font-sun-misc 1.0.1
- font-winitzki-cyrillic 1.0.1
- font-xfree86-type1 1.0.2
- adjusted font-misc-ethiopic.diff
- bumped version number to 7.5
* Thu Dec 24 2009 aj@suse.de
- font-misc-cyrillic.diff
  * removed also 6x13 duplicates (bnc #524236)
* Wed Sep 30 2009 sndirsch@suse.de
- font-misc-cyrillic.diff
  * removed also 5x8/6x9 duplicates (bnc #524236)
* Mon Jul 27 2009 sndirsch@suse.de
- removed duplicate fonts (bnc #524236)
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Wed Jul  2 2008 sndirsch@suse.de
- reverted previous change; back to Latin1 fonts for aliases
  (bnc #405723)
* Sat Apr 26 2008 sndirsch@suse.de
- fontaliases-unicode.diff
  * use Unicode instead of Latin1 fonts for aliases (bnc #46285)
* Fri Mar  7 2008 sndirsch@suse.de
- font-xfree86-type1 1.0.1
* Thu Dec 13 2007 sndirsch@suse.de
- mark fonts.dir/fonts.scale/encodings.dir as %%config in filelist
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Tue Jul 24 2007 sndirsch@suse.de
- move most important fonts to xorg-x11-fonts-core (Bug #293793)
* Mon Feb 12 2007 sndirsch@suse.de
- font-misc-ethiopic.diff:
  * don't install TTF fonts any longer; OTF fonts should be enough
* Wed Nov  8 2006 sndirsch@suse.de
- udpated font-screen-cyrillic to release 1.0.1 (X.Org 7.2 RC2)
  * Add license from Andrey via Mikhail on xorg list.
* Wed Nov  8 2006 sndirsch@suse.de
- updated encodings to release 1.0.2 (X.Org 7.2 RC2)
  * Limit UNDEFINE line to en encoding's declared SIZE (bug 1248).
    Simplify some encodings to avoid stating the obvious.
    Remove the ansi-1251 encoding, it's called microsoft-cp1251.
* Sat Oct 21 2006 sndirsch@suse.de
- updated encodings to release 1.0.1
  * Added configure flags for --disable-gzip-small-encodings and
  - -disable-gzip-large-encodings for those who can afford a
    little extra disk space usage and prefer the performance of
    non-compressed reads.
  * Also added COPYING file with generic XFree86 copyright/license
    and converted ChangeLog to generate from git log.
* Mon Oct 16 2006 aj@suse.de
- Fix build, fonts.cache might not exist.
* Thu Aug 31 2006 sndirsch@suse.de
- added fonts-config to Prereq of main and -core subpackage
* Wed Aug 30 2006 sndirsch@suse.de
- moved encodings to -core subpackage
* Tue Aug 29 2006 sndirsch@suse.de
- move 'fixed' + 'cursor' fonts to new xorg-x11-fonts-core package
* Wed Aug  9 2006 sndirsch@suse.de
- fixed /usr/share/fonts directory conflict with filesystem
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- adjusted JIS0201 to CP932 encoding (Bug #194720)
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
* Wed Jun 28 2006 sndirsch@suse.de
- created package
